"use strict";
exports.__esModule = true;
exports.getTextFormat = exports.setText = exports.getText = exports.getHTML = exports.t3 = exports.t2 = exports.t1 = exports.t = exports.defaultBlock = exports.defaultChild = exports.defaulHtml = exports.characters = void 0;
var tslib_1 = require("tslib");
var characters = function (text) {
    return text.map(function (_a) {
        var children = _a.children;
        return children.map(function (_a) {
            var text = _a.text;
            return text;
        }).join('');
    }).join(' ');
};
exports.characters = characters;
exports.defaulHtml = "<p class='text-left' style=\"width: 100%;\"></p>";
exports.defaultChild = [
    { color: '#000000', fontFamily: 'Arial', bold: false, italic: false, underline: false, text: '' },
];
exports.defaultBlock = [
    { type: 'paragraph', list: 'paragraph', align: 'left', tabs: 0, children: exports.defaultChild },
];
exports.t = "data-slate-node=\"text\"";
exports.t1 = "data-slate-node=\"element\"";
exports.t2 = "data-slate-leaf=\"true\"";
exports.t3 = "data-slate-string=\"true\"";
function getHTML(id) {
    var div = document.getElementById('slate' + id);
    if (div !== null)
        return div.innerHTML.replaceAll(exports.t, '').replaceAll(exports.t1, '').replaceAll(exports.t2, '').replaceAll(exports.t3, '');
    return '';
}
exports.getHTML = getHTML;
var getText = function (text) {
    return text.map(function (b) {
        return tslib_1.__assign(tslib_1.__assign({}, b), { children: b.children.map(function (c) {
                return tslib_1.__assign(tslib_1.__assign({}, c), { text: c.text.replaceAll('"', '¤') });
            }) });
    });
};
exports.getText = getText;
var setText = function (text) {
    return text.map(function (b) {
        return tslib_1.__assign(tslib_1.__assign({}, b), { children: b.children.map(function (c) {
                return tslib_1.__assign(tslib_1.__assign({}, c), { text: c.text.replaceAll('¤', '"') });
            }) });
    });
};
exports.setText = setText;
var getTextFormat = function (text) {
    return text.map(function (_a) {
        var children = _a.children;
        return children.map(function (c) { return c.text; }).join('');
    }).join('');
};
exports.getTextFormat = getTextFormat;
//# sourceMappingURL=Data.js.map