"use strict";
exports.__esModule = true;
exports.EditModal = void 0;
var tslib_1 = require("tslib");
var react_1 = require("react");
var Main_1 = require("./Main");
var react_bootstrap_1 = require("react-bootstrap");
var react_2 = tslib_1.__importDefault(require("react"));
function EditModal(p) {
    var _a = (0, react_1.useState)(false), open = _a[0], setOpen = _a[1];
    return (react_2["default"].createElement(react_2["default"].Fragment, null,
        react_2["default"].createElement(react_bootstrap_1.Modal, { size: p.size ? p.size : 'lg', animation: true, show: open, onHide: function () { return setOpen(false); } },
            react_2["default"].createElement(react_bootstrap_1.Modal.Header, { closeButton: true },
                react_2["default"].createElement(react_bootstrap_1.Modal.Title, null, p.title)),
            react_2["default"].createElement(react_bootstrap_1.Modal.Body, null,
                react_2["default"].createElement(Main_1.Texto, tslib_1.__assign({}, p)))),
        react_2["default"].createElement("div", { className: 'w-100' },
            react_2["default"].createElement(react_bootstrap_1.Row, null,
                react_2["default"].createElement("label", { className: 'mt-1' }, p.title),
                react_2["default"].createElement(react_bootstrap_1.Button, { onClick: function () { return setOpen(true); }, size: 'sm', className: 'ml-2' },
                    react_2["default"].createElement("i", { className: 'fas fa-edit' }))),
            react_2["default"].createElement("div", { className: 'w-100 h-90 mt-1', style: {
                    padding: '1rem 1rem 1rem 1rem',
                    margin: 'auto auto auto auto',
                    overflowX: 'hidden',
                    overflowY: 'scroll',
                    border: 'solid 1px #ced4da',
                    minHeight: '30px',
                    maxHeight: '500px'
                } },
                react_2["default"].createElement(Main_1.TextToHTML, { text: p.value })))));
}
exports.EditModal = EditModal;
//# sourceMappingURL=Modal.js.map