import { EditModal } from './Modal';
import { AlingMenu, ListMenu, TabsMenu, TypeMenu } from './BlockProps';
import { BlockElement, defaultBlock, getText, setText, Child, t, t1, t2, t3, BockType, Align, List, Tabs, characters, defaulHtml, defaultChild, getHTML, getTextFormat } from './Data';
import { Element } from './Element';
import { Leaf } from './Mark';
import { useMarkProp, ColorButton, BackButton, FontSize, FontsFamily, toggleMark, FontStyle, MarkMenu, MarkButton } from './MarkProps';
import { hotKeysValue } from './HotKeys';
import { VerElement, VerLeaf } from './Ver';
import { Props, Texto, TextToHTML } from './Main';
import { useBlockProps, getBlockProps, getMatch, getProp, getTabs, isBlockProps, setProps, setPropsOrRemove, setTabs } from './BlockUtils';
export type { BlockElement, Props as slateProps };
export { useMarkProp, useBlockProps, getBlockProps, getMatch, getProp, setProps, setPropsOrRemove, getTabs, isBlockProps, setTabs, MarkButton, BockType, Align, List, Tabs, characters, defaulHtml, defaultChild, getHTML, getTextFormat, Child, t, t1, t2, t3, VerElement, VerLeaf, defaultBlock, hotKeysValue, Texto, TextToHTML, getText, setText, Element, Leaf, AlingMenu, ListMenu, TabsMenu, TypeMenu, ColorButton, FontStyle, MarkMenu, BackButton, FontSize, FontsFamily, toggleMark, EditModal, };
