/// <reference types="react" />
interface IProps {
    left?: number | string;
}
export declare const toggleMark: (editor: any, format: any) => void;
export declare const useMarkProp: (mark: string, def: string) => any[];
export declare const MarkButton: ({ format, icon, tip }: any) => JSX.Element;
interface ColorProps extends IProps {
    colores?: string[];
}
export declare const ColorButton: ({ left, colores }: ColorProps) => JSX.Element;
export declare const BackButton: ({ left, colores }: ColorProps) => JSX.Element;
export declare const FontsFamily: () => JSX.Element;
export declare const FontSize: () => JSX.Element;
export declare const FontStyle: ({ left, width }: IProps & {
    width?: string | undefined;
}) => JSX.Element;
export declare const MarkMenu: ({ left }: IProps) => JSX.Element;
export {};
