/// <reference types="react" />
import { EditModal } from './Modal';
import { BlockElement } from './Data';
export { EditModal };
export interface Props {
    value: BlockElement[];
    onChange: (value: BlockElement[]) => void;
    id?: string | number;
    error?: string;
    colores?: string[];
}
export declare const Texto: ({ value, onChange, id, colores, error }: Props) => JSX.Element;
export declare function TextToHTML({ text }: {
    text: BlockElement[];
}): JSX.Element;
