import { __assign } from "tslib";
import { useState } from 'react';
import { Texto, TextToHTML } from './Main';
import { Modal, Button, Row } from 'react-bootstrap';
import React from 'react';
export function EditModal(p) {
    var _a = useState(false), open = _a[0], setOpen = _a[1];
    return (React.createElement(React.Fragment, null,
        React.createElement(Modal, { size: p.size ? p.size : 'lg', animation: true, show: open, onHide: function () { return setOpen(false); } },
            React.createElement(Modal.Header, { closeButton: true },
                React.createElement(Modal.Title, null, p.title)),
            React.createElement(Modal.Body, null,
                React.createElement(Texto, __assign({}, p)))),
        React.createElement("div", { className: 'w-100' },
            React.createElement(Row, null,
                React.createElement("label", { className: 'mt-1' }, p.title),
                React.createElement(Button, { onClick: function () { return setOpen(true); }, size: 'sm', className: 'ml-2' },
                    React.createElement("i", { className: 'fas fa-edit' }))),
            React.createElement("div", { className: 'w-100 h-90 mt-1', style: {
                    padding: '1rem 1rem 1rem 1rem',
                    margin: 'auto auto auto auto',
                    overflowX: 'hidden',
                    overflowY: 'scroll',
                    border: 'solid 1px #ced4da',
                    minHeight: '30px',
                    maxHeight: '500px'
                } },
                React.createElement(TextToHTML, { text: p.value })))));
}
//# sourceMappingURL=Modal.js.map